Bug 597599 - livecd-iso-to-disk fails to initialize overlay file if device label contains a space
livecd-iso-to-disk fails to initialize overlay file if device label contains ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: livecd-tools (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-29 14:12 EDT by Dan Krejsa
Modified: 2012-08-16 18:30 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 18:30:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Krejsa 2010-05-29 14:12:32 EDT
Description of problem:

The step in livecd-iso-to-disk in which it tries to initialize the
persistent overlay file fails if the USB device label contains a space
character.

For instance, for a USB device with the following block label,

  $ blkid /dev/sdb1
  /dev/sdb1: LABEL="HP v100w" UUID="A20E-125A" TYPE="vfat" 
  $ blkid -s LABEL -o value /dev/sdb1
  HP v100w

the livecd-iso-to-disk output contains the following:

  $ sudo livecd-iso-to-disk --home-size-mb 1000 --overlay-size-mb 1000 \
    Fedora-13-i686-Live-SoaS.iso /dev/sdb1
  ...
  Initializing persistent overlay file
  dd: unrecognized operand `v100w-A20E-125A'
  Try `dd --help' for more information.
  Initializing persistent /home
  ...

This would seem to be a simple bash quoting problem in the
livecd-iso-to-disk script, assuming that the rest of the software
that actually uses the overlay file can handle the filename with
a space in it.

Version-Release number of selected component (if applicable):

  livecd-tools-031-1.fc12.1.i686

How reproducible: Always.


Steps to Reproduce:
1. Use a USB key for which blkid shows a LABEL value containing a space.
2. Run livecd-iso-to-disk on the device specifying a nonzero --overlay-size-mb
3. Watch output of livecd-iso-to-disk for dd failure message when attempting
   to initialize persistent overlay file
4. Look for missing overlay file under LiveOS on the disk after
   livecd-iso-to-disk completes
   
  
Actual results:

See above.

Expected results:

Either properly write the overlay file with the space in the name,
or if other software cannot currently handle that, fail with explanation
and suggested steps to fix the problem, e.g. saying how to change the label
(if possible), e.g. using mlabel and deleting /etc/blkid/blkid.tab.

Additional info:
Comment 1 Brian Lane 2010-10-22 20:23:39 EDT
commit 75193172b7636d1d274cc064b4386161a5488142 checks for spaces in labels for CDs. I wonder if USB should have the same restriction?
Comment 2 Bug Zapper 2010-11-03 09:53:11 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-12-03 09:12:43 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Steven Pritchard 2011-03-22 13:08:34 EDT
This bug is still present on Fedora 14.
Comment 5 Steven Pritchard 2011-03-22 13:10:45 EDT
To be more specific, livecd-tools 14.2-1.fc14.x86_64 still has the bug.
Comment 6 Brian Lane 2011-03-22 14:02:52 EDT
fixed on master with commit 74434baadbfeb9c3407a2a673c7e5a0f1c18834b
Comment 7 Fedora End Of Life 2012-08-16 18:30:09 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.